package com.ruoyi.project.training.newstaff.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.newstaff.mapper.TTnSchoolplanTmplMapper;
import com.ruoyi.project.training.newstaff.domain.TTnSchoolplanTmpl;
import com.ruoyi.project.training.newstaff.service.ITTnSchoolplanTmplService;

/**
 * 校招培训模版Service业务层处理
 *
 * @author ruoyi
 * @date 2023-07-05
 */
@Service
public class TTnSchoolplanTmplServiceImpl implements ITTnSchoolplanTmplService
{
    @Autowired
    private TTnSchoolplanTmplMapper tTnSchoolplanTmplMapper;

    /**
     * 查询校招培训模版
     *
     * @param id 校招培训模版ID
     * @return 校招培训模版
     */
    @Override
    public TTnSchoolplanTmpl selectTTnSchoolplanTmplById(Long id)
    {
        return tTnSchoolplanTmplMapper.selectTTnSchoolplanTmplById(id);
    }

    /**
     * 查询校招培训模版列表
     *
     * @param tTnSchoolplanTmpl 校招培训模版
     * @return 校招培训模版
     */
    @Override
    public List<TTnSchoolplanTmpl> selectTTnSchoolplanTmplList(TTnSchoolplanTmpl tTnSchoolplanTmpl)
    {
        return tTnSchoolplanTmplMapper.selectTTnSchoolplanTmplList(tTnSchoolplanTmpl);
    }

    /**
     * 新增校招培训模版
     *
     * @param tTnSchoolplanTmpl 校招培训模版
     * @return 结果
     */
    @Override
    public int insertTTnSchoolplanTmpl(TTnSchoolplanTmpl tTnSchoolplanTmpl)
    {
        return tTnSchoolplanTmplMapper.insertTTnSchoolplanTmpl(tTnSchoolplanTmpl);
    }

    /**
     * 修改校招培训模版
     *
     * @param tTnSchoolplanTmpl 校招培训模版
     * @return 结果
     */
    @Override
    public int updateTTnSchoolplanTmpl(TTnSchoolplanTmpl tTnSchoolplanTmpl)
    {
        return tTnSchoolplanTmplMapper.updateTTnSchoolplanTmpl(tTnSchoolplanTmpl);
    }

    /**
     * 批量删除校招培训模版
     *
     * @param ids 需要删除的校招培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTnSchoolplanTmplByIds(Long[] ids)
    {
        return tTnSchoolplanTmplMapper.deleteTTnSchoolplanTmplByIds(ids);
    }

    /**
     * 删除校招培训模版信息
     *
     * @param id 校招培训模版ID
     * @return 结果
     */
    @Override
    public int deleteTTnSchoolplanTmplById(Long id)
    {
        return tTnSchoolplanTmplMapper.deleteTTnSchoolplanTmplById(id);
    }
}
